Bug 445455 - Review Request: xdotool - Fake keyboard/mouse input
Review Request: xdotool - Fake keyboard/mouse input
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 478502 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 17:48 EDT by Sindre Pedersen Bjørdal
Modified: 2014-05-05 11:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 17:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2008-05-06 17:48:32 EDT
Spec URL: http://sindrepb.fedorapeople.org/packages/xdotool.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/xdotool-20071230-1.fc9.src.rpm

Description:

This tool lets you programatically (or manually) simulate keyboard input
and mouse activity, move and resize windows, etc.
Comment 1 Parag AN(पराग) 2008-05-19 01:32:35 EDT
we use standard prefix as /usr and not /usr/local. Makefile in this package uses
prefix as /usr/local. Can you patch it and submit new SRPM?
Also, compilation is not honouring compiler flags. Add following in %build
export CFLAGS=$RPM_OPT_FLAGS
Comment 2 Parag AN(पराग) 2008-05-27 07:41:48 EDT
ping?
Comment 4 Parag AN(पराग) 2008-05-28 08:06:49 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=632883
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
a4db4b81840db2ff806b26d36a5b6458  xdotool-20071230.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 5 Sindre Pedersen Bjørdal 2008-05-28 10:12:13 EDT
New Package CVS Request
=======================
Package Name: xdotool
Short Fake keyboard/mouse input
Owners: sindrepb
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-30 15:53:22 EDT
cvs done.
Comment 7 Parag AN(पराग) 2008-12-30 23:00:26 EST
*** Bug 478502 has been marked as a duplicate of this bug. ***
Comment 8 Nikos Roussos 2014-05-05 05:59:44 EDT
Package Change Request
======================
Package Name: xdotool
New Branches: el6
Owners: comzeradd
Comment 9 Jon Ciesla 2014-05-05 11:08:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.